Skip to main content
Users
CloudPortalLogin
  • Powered byPowered by
Developing with Sitecore CDP
Data privacy
Before you start sending data
Integrating with Sitecore CDP
Stream API
Batch API
REST APIs
Data lake export service
  • Sitecore CDP for developers
  • Batch API
  • Upload a batch file
  • Reference
  • Retrieve details of batch uploads

Retrieve details of batch uploads

GET /v2/batches/inspect

Retrieves the details of batches uploaded to your instance of Sitecore CDP in the past 30 days. For an upload to be available to retrieve, you must first make the PUT request that allocates a batch upload location.

sidebar. Query parameters

Name

Type

Description

Example

status

string

The batch upload processing status. Possible values:

  • uploading - the batch reference is saved and the gzipped file can now be uploaded. The batch stays in this status until the file is fully uploaded. After receiving the file, Sitecore CDP validates it and changes the status to file_uploaded.

  • file_uploaded - Sitecore CDP received the gzipped file, and the file is now in the processing queue. This status is only available in the inspect endpoint.

  • processing - Sitecore CDP is processing the gzipped file.

  • success - Sitecore CDP successfully processed all JSON records in the gzipped file. You can now verify that CDP ingested the uploaded data.

  • corrupted - the MD5 checksum or the size of the gzipped file does not match the values provided by the developer.

  • error - Sitecore CDP did not process at least one JSON record in the gzipped file. You can download the error log to troubleshoot the issue. The location of the log file is the value of the status.log parameter.

If unset, no status filters will be used in the request.

  • status=uploading

  • status=success,error

createdBefore

string

A date and time of your choice.

Only batch uploads created before this date and time within the past 30 days will be returned.

Format: YYYY-MM-DDTHH:mm:ss.SSSZ

createdBefore=2025-05-29T07:41:51.244Z

createdAfter

string

A date and time of your choice.

Only batch uploads created after this date and time within the past 30 days will be returned.

Format: YYYY-MM-DDTHH:mm:ss.SSSZ

createdAfter=2025-05-29T07:41:51.244Z

offset

integer

The zero-based starting index in the entire collection of the first batch upload to return.

Default: 0.

offset=10

limit

integer

The maximum number of batch uploads to return for a single request.

Minimum: 1.

Maximum: 1000.

Default: 50.

limit=100

The response body contains the following fields:

Attribute

Type

Description

Example

totalCount

integer

The number of batches that were uploaded to your instance of Sitecore CDP in the past 30 days and match the criteria you specified in the request query parameters.

337

offset

integer

The offset used in the request.

0

limit

integer

The limit used in the request.

50

items

array of objects

The list of batch uploads returned.

N/A

The items array of objects:

Attribute

Type

Description

Example

href

string

The URL of a batch upload.

"http://.../v2/batches/inspect/12af3453-62da-4b31-a646-631b7b5f3009"

ref

string

The UUID of a batch upload.

"12af3453-62da-4b31-a646-631b7b5f3009"

status

string

The batch upload processing status.

"error"

status.log

string

For batch uploads with the error status, the location of the downloadable error log file.

"https://sitecore-batch-service..."

createdAt

string

The date and time the batch upload was created.

2025-05-29T07:41:51.244Z

modifiedAt

string

The date and time the batch upload was last modified. For example, the last time the status changed.

2025-05-29T07:41:51.244Z

Request without query parameters:

RequestResponse
curl -X GET '<baseURL>/v2/batches/inspect' \
-u '<username>:<password>' \
-H 'Accept: application/json'

Request with query parameters:

RequestResponse
curl -X GET '<baseURL>/v2/batches/inspect?status=success,error&limit=100' \
-u '<username>:<password>' \
-H 'Accept: application/json'
RequestResponse
{
  "totalCount": 225,
  "offset": 0,
  "limit": 100,
  "items": [
    {
      "href": "<baseURL>/v2/batches/inspect/12af3453-62da-4b31-a646-631b7b5f3009",
      "ref": "439332a9-f837-496f-9e4a-87491689bb90",
      "status": "success",
      "createdAt": "2025-05-29T07:41:51.244Z",
      "modifiedAt": "2025-05-29T07:47:59.961Z"
    },
    {<...>}
  ]
}

Do you have some feedback for us?

If you have suggestions for improving this article,

Privacy policySitecore Trust CenterCopyright © 1999-2026 Sitecore